Start maintenance mode
-
POST
/platform/infrastructure/constructors/{constructor_id}/maintenance-mode/_start
Auth
Start maintenance mode of a constructor. It will stop constructing new plans while continuing with on-going ones.
-
constructor_id
string
required
-
Identifier for the constructor
The start maintenance mode command was issued successfully
application/json
The start maintenance mode command was prohibited for the given constructor. (code: constructors.command_prohibited)
application/json
-
errors
object[]
required
-
A list of errors that occurred in the failing request
-
-
code
string
required
-
A structured code representing the error type that occurred
-
message
string
required
-
A human readable message describing the error that occurred
-
fields
string[]
-
If the error can be tied to a specific field or fields in the user request, this lists those fields
The constructor specified by {constructor_id} cannot be found. (code: constructors.constructor_not_found)
application/json
-
errors
object[]
required
-
A list of errors that occurred in the failing request
-
-
code
string
required
-
A structured code representing the error type that occurred
-
message
string
required
-
A human readable message describing the error that occurred
-
fields
string[]
-
If the error can be tied to a specific field or fields in the user request, this lists those fields
Thank you for your feedback.